## Apache Zeta Components Manual :: Docs For Class ezcConsoleProgressMonitorOptions

### ConsoleTools::ezcConsoleProgressMonitorOptions

### Class ezcConsoleProgressMonitorOptions

Struct class to store the options of the ezcConsoleOutput class.

This class stores the options for the ezcConsoleOutput class.

Source for this file: /ConsoleTools/src/options/progressmonitor.php

    ezcBaseOptions
       |
       --ezcConsoleProgressMonitorOptions

Version: | //autogen//

### Properties

string | read/write | `$formatString` The format string to describe the complete progress monitor.

### Member Variables

protected mixed | `$properties = array( 'formatString' => '%8.1f%% %s %s', )`

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3